POST api/AppointmentTypes

Create a new appointment type or update an existing appointment type in the Eye Reach Patients list.

Request Information

URI Parameters

None.

Body Parameters

Model used to create or retrieve a appointment type.

AppointmentTypeModel
NameDescriptionTypeAdditional information
Name

Name of the appointment type (Required).

string

None.

IsTelemedicine

Indicates whether the appointment type is telemedicine or not.

boolean

None.

PortalCreated

Portal created date of the appointment type.

date

None.

Id

Unique ID of the model in the portal (Read only).

string

None.

ExternalId

Unique ID of the model in the integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "isTelemedicine": true,
  "portalCreated": "2026-05-29T16:56:54.3794292+00:00",
  "id": "sample string 4",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<AppointmentTypeModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentsModel">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 4</Id>
  <IsTelemedicine>true</IsTelemedicine>
  <Name>sample string 1</Name>
  <PortalCreated>2026-05-29T16:56:54.3794292+00:00</PortalCreated>
</AppointmentTypeModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'AppointmentTypeModel'.

Response Information

Resource Description

AppointmentTypeModel
NameDescriptionTypeAdditional information
Name

Name of the appointment type (Required).

string

None.

IsTelemedicine

Indicates whether the appointment type is telemedicine or not.

boolean

None.

PortalCreated

Portal created date of the appointment type.

date

None.

Id

Unique ID of the model in the portal (Read only).

string

None.

ExternalId

Unique ID of the model in the integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "isTelemedicine": true,
  "portalCreated": "2026-05-29T16:56:54.3794292+00:00",
  "id": "sample string 4",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<AppointmentTypeModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentsModel">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 4</Id>
  <IsTelemedicine>true</IsTelemedicine>
  <Name>sample string 1</Name>
  <PortalCreated>2026-05-29T16:56:54.3794292+00:00</PortalCreated>
</AppointmentTypeModel>